This is the mail archive of the
gcc@gcc.gnu.org
mailing list for the GCC project.
Re: egcs-1.1 prerelease vs egcs-1.0.3a on stock Red Hat 5.1 Alpha
- To: egcs at cygnus dot com, toon at moene dot indiv dot nluug dot nl
- Subject: Re: egcs-1.1 prerelease vs egcs-1.0.3a on stock Red Hat 5.1 Alpha
- From: mrs at wrs dot com (Mike Stump)
- Date: Fri, 24 Jul 1998 11:37:36 -0700
> From: Toon Moene <toon@moene.indiv.nluug.nl>
> Date: Wed, 22 Jul 98 22:50:53 +0200
> To: egcs@cygnus.com
> It's hard to compare two versions of the compilers if their
> regression tests differ, but I'll try anyway.
> --> Here are the results using egcs-1.0.3a using its own testsuite:
> --> Now for the egcs-1.1 (CVS'd 9807211500UTC) results:
You might try using the below script on the two sumary files. I think
the output is far more readable than the format you gave. :-)
#!/bin/sh
# This script automatically test the given tool with the tool's test cases,
# reporting anything of interest.
# exits with 1 if there is nothing of interest
# exits with 0 if there is something interesting
# exits with 2 if an error occurred
# Give two .sum files to compare them
# Written by Mike Stump <mrs@cygnus.com>
tool=gxx
tmp1=/tmp/$tool-testing.$$a
tmp2=/tmp/$tool-testing.$$b
now_s=/tmp/$tool-testing.$$d
before_s=/tmp/$tool-testing.$$e
if [ "$2" = "" ]; then
echo "Usage: $0 previous current" >&2
exit 2
fi
sed 's/^XFAIL/FAIL/; s/^XPASS/PASS/' < "$1" >$tmp1
sed 's/^XFAIL/FAIL/; s/^XPASS/PASS/' < "$2" >$tmp2
before=$tmp1
now=$tmp2
trap "rm -f $tmp1 $tmp2 $now_s $before_s" 0 1 2 3 5 9 13 15
sort -t ':' +1 "$now" > "$now_s"
sort -t ':' +1 "$before" > "$before_s"
grep '^FAIL:' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
echo "Tests that now fail, but worked before:"
echo
cat $tmp2
echo
fi
grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
echo "Tests that now work, but didn't before:"
echo
cat $tmp2
echo
fi
grep '^FAIL' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
echo "New tests that FAIL:"
echo
cat $tmp2
echo
fi
grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
echo "New tests that PASS:"
echo
cat $tmp2
echo
fi
grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
echo "Old tests that passed, that have disappeared: (Eeek!)"
echo
cat $tmp2
echo
fi
grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
echo "Old tests that failed, that have disappeared: (Eeek!)"
echo
cat $tmp2
echo
fi